#  -*- coding: utf-8 -*-

test_cases = [
    ({'limit': 0}, 106481),
    ({'q': 'C#'}, 1180),
    ({'q': 'c-körkort'}, 504),
    ({'q': '.net'}, 401),
    ({'q': 'ci/cd'}, 651),
    ({'q': 'erp-system'}, 172),
    ({'q': 'tcp/ip'}, 111),
    ({'q': 'cad-verktyg'}, 44),
    ({'q': 'backend-utvecklare'}, 141),
    ({'q': 'it-tekniker'}, 338),
    ({'q': 'sjuksköterska'}, 6167),
    ({'q': 'sjuksköterskor'}, 6155),
    ({'q': 'körkort'}, 22713),
    ({'q': 'distributör'}, 116),
    ({'q': 'livsmedel'}, 512),
    ({'q': 'sköterska'}, 22),
    ({'q': 'undersköterska'}, 2152),
    ({'q': 'brandman'}, 36),
    ({'q': 'lärarutbildning'}, 207),
    ({'q': 'datasystem'}, 280),
    ({'q': 'undervisning'}, 2635),
    ({'q': 'försäkring'}, 533),
    ({'q': 'barnmorska'}, 337),
    ({'q': 'tandsköterska'}, 164),
    ({'q': 'kock'}, 1468),
    ({'q': 'stockholm'}, 11159),
    ({'q': 'göteborg'}, 5088),
    ({'q': 'malmö'}, 3684),
    ({'q': 'uppsala'}, 1657),
    ({'q': 'utvecklare'}, 3240),
    ({'q': 'pizzabagare'}, 212),
    ({'q': 'personlig assistent'}, 2602),
    ({'q': 'målare'}, 128),
    ({'q': 'förskollärare'}, 927),
    ({'q': 'python'}, 1606),
    ({'q': 'java'}, 1495),
    ({'q': 'helsingborg'}, 1233),
    ({'q': 'barnmorska tandsköterska'}, 501),
    ({'q': 'tandsköterska barnmorska'}, 501),
    ({'q': 'barnmorska fysioterapeut'}, 827),
    ({'q': 'chefsbarnmorska fysioterapeut'}, 491),
    ({'q': 'chefsbarnmorska barnmorska'}, 338),
    ({'q': 'developer engineer'}, 226),
    ({'q': 'python'}, 1606),
    ({'q': 'java'}, 1495),
    ({'q': 'java -javautvecklare'}, 1259),
    ({'q': 'java python'}, 2692),
    ({'q': 'java +python'}, 1602),
    ({'q': 'java -python'}, 1104),
    ({'q': 'kock -bagare'}, 1460),
    ({'q': 'pizzabagare'}, 212),
    ({'q': 'bartender'}, 208),
    ({'q': 'målare'}, 128),
    ({'q': 'målare stockholm'}, 11),
    ({'q': 'målare +stockholm'}, 11),
    ({'q': 'målare -stockholm'}, 117),
    ({'q': 'personlig assistent'}, 2602),
    ({'q': 'personlig assistent +göteborg'}, 42),
    ({'q': 'personlig assistent -göteborg'}, 2557),
    ({'q': 'utvecklare'}, 3240),
    ({'q': 'förskollärare'}, 927),
    ({'q': 'sjuksköterska'}, 6167),
    ({'q': 'sjuksköterska -stockholm'}, 5985),
    ({'municipality': ['AvNB_uwa_6n6', 'oYPt_yRA_Smm']}, 16488),
    ({'municipality': 'AvNB_uwa_6n6'}, 13030),
    ({'municipality': 'oYPt_yRA_Smm'}, 3729),
    ({'municipality': 'PVZL_BQT_XtL'}, 5488),
    ({'municipality': 'QiGt_BLu_amP'}, 1085),
    ({'municipality': 'PVZL_BQT_XtL', 'region': 'CifL_Rzy_Mku'}, 23559),
    ({'municipality': 'PVZL_BQT_XtL', 'region': 'CifL_Rzy_Mku', 'country': 'QJgN_Zge_BzJ'}, 23698),
    ({'municipality': 'PVZL_BQT_XtL', 'region': 'CifL_Rzy_Mku', 'country': 'i46j_HmG_v64'}, 63152),
    ({'region': 'g5Tt_CAV_zBd'}, 2034),
    ({'region': 'CaRE_1nn_cSU'}, 9347),
    ({'region': 'CifL_Rzy_Mku'}, 18473),
    ({'country': 'i46j_HmG_v64'}, 63152),
    ({'country': 'QJgN_Zge_BzJ'}, 174),
    ({'occupation-group': '7XXd_4St_nit'}, 75),
    ({'occupation-group': '5dxv_nVQ_N8o'}, 184),
    ({'occupation-group': 'BStc_SJh_DKG'}, 2029),
    ({'occupation-group': 'Z8ci_bBE_tmx'}, 7998),
    ({'occupation-field': 'VuuL_7CH_adj'}, 245),
    ({'occupation-field': 'ScKy_FHB_7wT'}, 6330),
    ({'occupation-field': 'ASGV_zcE_bWf'}, 5810),
    ({'occupation-field': '9puE_nYg_crq'}, 202),
    ({'q': 'lärare', 'published-after': '2020-04-18T12:16:24'}, 2831),
    ({'q': 'lärare', 'published-after': '2022-03-09T12:16:24'}, 0),
    ({'q': 'lärare', 'published-after': '2022-03-29T12:16:24'}, 0),
    ({'q': 'lärare', 'published-after': '2022-04-01T12:16:24'}, 0),
    ({'q': 'lärare', 'published-after': '2022-04-03T12:16:24'}, 0),
    ({'q': 'Kundtjänstmedarbetare', 'sort': 'pubdate-asc'}, 867),
    ({'q': 'Kundtjänstmedarbetare', 'sort': 'pubdate-desc'}, 867),
    ({'q': 'lärare', 'published-after': '2020-04-18T12:16:24', 'country': 'i46j_HmG_v64', 'sort': 'pubdate-asc'}, 1449),
    ({'q': 'lärare', 'region': ['CifL_Rzy_Mku', 'CaRE_1nn_cSU']}, 452),
    ({'q': 'lärare', 'region': 'CifL_Rzy_Mku'}, 267),
    ({'q': 'lärare', 'region': 'CaRE_1nn_cSU'}, 185),
    ({'q': 'lärare', 'municipality': '8deT_FRF_2SP'}, 33),
    ({'q': 'lärare', 'municipality': 'bm2x_1mr_Qhx'}, 32),
]
